org.gradle.language.swift

## Interface SwiftExecutable

- All Superinterfaces:
    ComponentWithExecutable, ComponentWithInstallation, ComponentWithNativeRuntime, ComponentWithObjectFiles, ComponentWithOutputs, Named, SoftwareComponent, SwiftBinary

      @Incubating
      public interface SwiftExecutable
      extends SwiftBinary, ComponentWithExecutable, ComponentWithInstallation, ComponentWithOutputs

  An executable built from Swift source.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Provider<RegularFile>` | `getDebuggerExecutableFile()` Returns the executable file to use with a debugger for this binary.

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileModules, getCompileTask, getLinkLibraries, getModule, getRuntimeLibraries, getSwiftLanguageVersion, getSwiftSource, getTargetPlatform, isTestable`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithExecutable

      `getExecutableFile, getLinkLibraries, getLinkTask`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithInstallation

      `getInstallDirectory, getInstallTask, getRuntimeLibraries`

    - ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

      `getOutputs`

- - ### Method Detail

    - #### getDebuggerExecutableFile

          Provider<RegularFile> getDebuggerExecutableFile()

      Returns the executable file to use with a debugger for this binary.
      Since:
        4.5